## org.eclipse.emf.databinding.internal
Class EMFListProperty

    java.lang.Object
      org.eclipse.core.databinding.property.list.ListProperty
          org.eclipse.core.databinding.property.list.SimpleListProperty
              org.eclipse.emf.databinding.internal.EMFListProperty

All Implemented Interfaces:
  IProperty, IListProperty

Direct Known Subclasses:
  EMFEditListProperty

    public class EMFListProperty

extends SimpleListProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFListProperty(EStructuralFeature eStructuralFeature)`

Method Summary
`INativePropertyListener` `adaptListener(ISimplePropertyListener listener)`
`protected java.util.List<?>` `doGetList(java.lang.Object source)`
`protected void` `doSetList(java.lang.Object source, java.util.List list, ListDiff diff)`
`java.lang.Object` `getElementType()`
`protected EStructuralFeature` `getFeature()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.core.databinding.property.list.SimpleListProperty
`getList, observe, setList`

Methods inherited from class org.eclipse.core.databinding.property.list.ListProperty
`listFactory, listFactory, observe, observeDetail, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EMFListProperty

    public EMFListProperty(EStructuralFeature eStructuralFeature)

Parameters:
  `eStructuralFeature` -

Method Detail

### getFeature

    protected EStructuralFeature getFeature()

  Returns:
    the feature

### getElementType

    public java.lang.Object getElementType()

### doGetList

    protected java.util.List<?> doGetList(java.lang.Object source)

  Specified by:
    `doGetList` in class `SimpleListProperty`

### doSetList

    protected void doSetList(java.lang.Object source,
                             java.util.List list,
                             ListDiff diff)

  Specified by:
    `doSetList` in class `SimpleListProperty`

### adaptListener

    public INativePropertyListener adaptListener(ISimplePropertyListener listener)

  Specified by:
    `adaptListener` in class `SimpleListProperty`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.